Subject: Re: Libtool 2.4.6 vs. 2.4.7

From: Andreas Enge <[email-masked]>
Date: Thu, 14 Apr 2022 14:22:27 +0200

Am Thu, Apr 14, 2022 at 02:07:02PM +0200 schrieb Andreas Enge:
> I had already removed it, and the problem persisted. I suppose that
> autoreconf or configure created it again in version 2.4.6, and during
> make my version 2.4.7 was used instead.

Actually it is "configure", in my case by calling config/ltmain.sh.
The solution is to remove config/ltmain.sh (actually I removed the
complete config/ subdirectory) and to call "autoreconf -fi" to
recreate it (which also overwrites INSTALL...).

So these are indeed stale files from autotools, somewhat difficult to
spot, since "make distclean" is not enough to remove them.

Anyway, this is not related to Guix, and I am closing the bug.

Andreas